Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.session
Class PseudoTerminalWrapper

    java.lang.Object
      com.sshtools.daemon.session.PseudoTerminalWrapper

public class PseudoTerminalWrapper
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`PseudoTerminalWrapper(java.lang.String term, int cols, int rows, int width, int height, java.lang.String modes)` Creates a new PseudoTerminalWrapper object.

Method Summary
`void` | `bindMasterInputStream(java.io.InputStream masterIn)` DOCUMENT ME!
`void` | `bindMasterOutputStream(java.io.OutputStream masterOut)` DOCUMENT ME!
`void` | `bindSlaveInputStream(java.io.InputStream slaveIn)` DOCUMENT ME!
`void` | `bindSlaveOutputStream(java.io.OutputStream slaveOut)` DOCUMENT ME!
`java.io.InputStream` | `getMasterInputStream()` DOCUMENT ME!
`void` | `initialize()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PseudoTerminalWrapper

    public PseudoTerminalWrapper(java.lang.String term,
                                 int cols,
                                 int rows,
                                 int width,
                                 int height,
                                 java.lang.String modes)

  Creates a new PseudoTerminalWrapper object.

Parameters:
  `term` - DOCUMENT ME!
  `cols` - DOCUMENT ME!
  `rows` - DOCUMENT ME!
  `width` - DOCUMENT ME!
  `height` - DOCUMENT ME!
  `modes` - DOCUMENT ME!

Method Detail

### bindMasterInputStream

    public void bindMasterInputStream(java.io.InputStream masterIn)

  DOCUMENT ME!

  Parameters:
    `masterIn` - DOCUMENT ME!

### bindMasterOutputStream

    public void bindMasterOutputStream(java.io.OutputStream masterOut)

  DOCUMENT ME!

  Parameters:
    `masterOut` - DOCUMENT ME!

### bindSlaveOutputStream

    public void bindSlaveOutputStream(java.io.OutputStream slaveOut)

  DOCUMENT ME!

  Parameters:
    `slaveOut` - DOCUMENT ME!

### bindSlaveInputStream

    public void bindSlaveInputStream(java.io.InputStream slaveIn)

  DOCUMENT ME!

  Parameters:
    `slaveIn` - DOCUMENT ME!

### initialize

    public void initialize()
                    throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getMasterInputStream

    public java.io.InputStream getMasterInputStream()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD